org.eclipse.microprofile.context.tck.cdi

## Class CdiBeanProducer

- java.lang.Object
- - org.eclipse.microprofile.context.tck.cdi.CdiBeanProducer

    @ApplicationScoped
    public class CdiBeanProducer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CdiBeanProducer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ManagedExecutor` `createExec()`
`Executor` `createPriority3Executor(ThreadContext ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CdiBeanProducer

    public CdiBeanProducer()

### Method Detail

#### createExec

    @Produces
     @ApplicationScoped
    public ManagedExecutor createExec()

#### createPriority3Executor

    @Produces
     @ApplicationScoped
    public Executor createPriority3Executor(ThreadContext ctx)